# BuildSA

MS-GF+ Documentation home

# BuildSA

Index a protein database for fast searching.

    Usage: java -Xmx3500M -cp MSGFPlus.jar edu.ucsd.msjava.msdbsearch.BuildSA
    	-d DatabaseFile (*.fasta or *.fa)
    	[-tda 0/1/2] (0: target only, 1: target-decoy database only, 2: both)

Parameters:

- -d DbPath
  - Name of a protein database (*.fasta or *.fa)
  - Database file must ends with ".fasta" or ".fa".
- -tda 0/1/2
  - If 0, only "DatabaseFile" will be indexed.
  - If 1, a new database file (*.revConcat.fasta) will be generated by appending reversed proteins. This forward-reverse database will be indexed.
  - If 2, both the original database and the forward-reverse database file will be indexed.

BuildSA creates a suffix array of the protein database. For an input database file DBFileName.fasta, BuildSA will generate 4 auxiliary files (DbFileName.canno, DBFileName.cnlcp, DBFileName.csarr, DBFileName.cseq).It needs to be executed only once per each database file.